{% extends "quizapp/base.html" %}
{% block title %} | Kvíz {{ quiz.start|date:"d. m. Y" }}{% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title d-flex justify-content-between align-items-center">
                {{ quiz.start|date:"d. m. Y" }}
                {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                    - {{ quiz.end|date:"d. m. Y" }}
                {% endif %}
                <div class="justify-content-right">
                    <a class="btn btn-primary" href="{% url 'editquiz' quiz.id %}" role="button">Upravit</a>
                    <a class="btn btn-danger" href="{% url 'deletequiz' quiz.id %}" role="button">Smazat</a>
                </div>
            </h5>
            <h6 class="card-subtitle mb-2 text-muted">{{ quiz.start|date:"H:i" }} - {{ quiz.end|date:"H:i" }}</h6>
            <div class="justify-content-left" style="padding-top: 1rem">
                    <a class="btn btn-primary" href="{% url 'registrationsbyquiz' quiz.id %}" role="button">Správa registrací</a>
                    <a class="btn btn-primary" href="{% url 'results' quiz.id %}" role="button">Pořadí</a>
            </div>
        <hr/>
            <p class="card-text">
            <h6 class="card-title d-flex justify-content-between align-items-center">
                Témata:
                <a class="btn btn-primary" href="{% url 'newtopic' quiz.id %}" role="button">Nové téma</a>
            </h6>
            <div class="row align-content-around" style="margin-bottom: 10px; margin-top: 10px">
                {% for topic in topics %}
                    <a class=" col-3" href="{% url 'topic' topic.id %}" style="color: inherit;">
                        <div class="card" style="width: 100%;">
                            <img class="card-img-top" src={% if topic.image and topic.image.strip %}{{ topic.image }}{% else %}"https://wallpapercave.com/wp/wp2013746.jpg"{% endif %} alt="Card image cap" style="height: 8rem; object-fit: cover; width: 100%;">
                            <div class="card-body">
                                <h5 class="card-title">{{ topic.name }}</h5>
                                <p class="card-text">{{ topic.description }}</p>
                            </div>
                        </div>
                    </a>
                    {% if forloop.counter|divisibleby:4 %}</div><div class="row align-content-around" style="margin-bottom: 10px; margin-top: 10px">{% endif %}
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}
